<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Simulation tool landing page</title>
</head>


<style>
  br {
   display: block;
   margin: 10px 0;
}

.button {
  background-color: #4CAF50;
  border: none;
  color: white;
  width: 1000px;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}

div {
  border-style: double;
  width: 1000px;
}

#object1 {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
        }

#tasktable
{
  position: absolute;
  top:  80px;
  height: 180px;
  left: 550px;
  color: invis;  
  width: 900px;
  text-align: left;
}

table,th, td
{
  border: 1px solid;
}

td
{
  background-color: lightgreen;
}

td.current
{
  background-color: orange;
}

th
{
  color: white;
  background-color: green;
  text-align: center;
}

#headline
{
  position: absolute;
  top:  0px;
  height: 50px;
  left: 200px;
  color: black;  
  width: 1520px;
  text-align: center;
}

#headlineSubViews
{
  position: absolute;
  top:  1000px;
  height: 50px;
  left: 200px;
  color: black;  
  width: 1520px;
  text-align: center;
}


#CSimulToolSurface
{
  background-color: #ECFFDC;
  position: absolute;
  top:  1550px;
  height: 180px;
  left: 600px;
  color: black;  
  width: 820px;
  text-align: center;
}

#CSimulToolSurfaceParagraph
{
  background-color: #ECFFDC;
  position: absolute;
  top: 40px;
  right: 10px;
  color: black;  
  width: 800px;
  text-align: center;
}    
    
#CSimulToolSurfaceButton
{
  background-color: green;
  position: absolute;
  top: 110px;
  right: 10px;
  color: white;  
  width: 780px;
  text-align: center;
}


#CConvToolSurface        
{
  background-color: #ECFFDC;
  position: absolute;
  top:  1190px;
  height: 300px;
  left: 600px;
  color: black;  
  width: 820px;
  text-align: center;
}  

#CConvToolSurfaceButton
{
  background-color: green;
  position: absolute;
  top: 240px;
  right: 10px;
  color: white;  
  width: 780px;
  text-align: center;
}  

#CDocuClangTools        
{
  background-color: lightblue;
  position: absolute;
  top:  350px;
  height: 200px;
  left: 50px;
  color: black;  
  width: 820px;
  text-align: center;
}    


#CDocuClangToolsParagraph {
  background-color: lightblue;
  position: absolute;
  top: 40px;
  right: 10px;
  color: black;  
  width: 800px;
  text-align: center;
}    


#CDocuClangToolsButton {
  background-color: green;
  position: absolute;
  top: 60px;
  right: 10px;
  color: white;  
  width: 780px;
  text-align: center;
}    

#JSDocuClientServer {
  background-color: silver;
  position: absolute;
  top:  350px;
  left: 1150px;
  height: 160px;
  color: black;  
  width: 650px;
  text-align: center;
}         

#JSDocuCSParagraph {
  background-color: silver;
  position: absolute;
  top: 40px;
  right: 20px;
  color: black;  
  width: 630px;
  text-align: center;
}    


#JSDocuCSButton {
  background-color: green;
  position: absolute;
  top: 100px;
  right: 20px;
  color: white;  
  width: 610px;
  text-align: center;
}

#highlight{
  background-color: orange;
  position: absolute;
  top: 250px;
  left: 20px;
  color: black;  
  width: 610px;
  text-align: center;
  font-size: 20px;
}

.img-overlay-wrap {
  top:  450px;
  left: 500px;
  position: relative;
  display: inline-block; /* <= shrinks container to image size */
  transition: transform 150ms ease-in-out;
}

.img-overlay-wrap img { /* <= optional, for responsiveness */
   display: block;
   max-width: 100%;
   height: auto;
}

.img-overlay-wrap svg {
  position: absolute;
  top: 0;
  left: 200;
}



  
  </style>


<body>
  <script>
      function redirect (url) 
      {
        var ua        = navigator.userAgent.toLowerCase(),
        isIE      = ua.indexOf('msie') !== -1,
        version   = parseInt(ua.substr(4, 2), 10);

        // Internet Explorer 8 and lower
        if (isIE && version < 9) 
        {
          var link = document.createElement('a');
          link.href = url;
          document.body.appendChild(link);
          link.click();
        }

        // All other browsers can use the standard window.location.href (they don't lose HTTP_REFERER like Internet Explorer 8 & lower does)
        else 
        { 
          window.location.href = url; 
        }
      }        
      function activate_C_to_Exe_Docu() 
      {
        
        var newPath = window.location.href + 'docs/md__create_simulation_interface.html'
        redirect(newPath);
      }

      function activate_UI_to_WebSocet_Docu() 
      {        
        var newPath = window.location.href + 'uidocs/tutorial-webclients.html'
        redirect(newPath);
      }

    

      function activate_C_to_Exe_tool() 
      {        
        var newPath = window.location.href + 'tree'
        redirect(newPath);
      }

      function activate_C_module_simulation() 
      {
        var newPath = window.location.href + 'signals'
        redirect(newPath);
      }

  


  
    </script>



<h1 id="headline">CONNECTED CONTROLS : CONTAINERIZE EMBEDDED CONTROLS C MODULES</h1>
<h2 id="headlineSubViews">THE CONVERSION AND SIMULATION VIEWS ARE CURRENTLY UNDER CONSTRUCTION <br/> FIND HTML VIEWS HERE</h2>

  <table id="tasktable">
    <tr><th>project phase</th><th>time span </th></tr>
    <tr><td class="current">Discuss documentation of tool prototype and derive task descriptions for the team.</td><td class="current">Mai 24 ... June 20 2022</td> </tr>
    <tr><td>Release dependency analysis (file structure and nested includes as a tree view)</td><td>June 20</td></tr>
    <tr><td>Create make environment and build static archives, configure scheduler, evaluate XML interface description</td><td>July 1st</td></tr>
    <tr><td>Create simulation environment</td><td>July 29st</td></tr>    
  </table>



  
<div class="img-overlay-wrap">
<svg width=1000px height=400px>
  <line x1="500" y1="120" x2="800" y2="0" stroke="black"/>
  <line x1="200" y1="0" x2="400" y2="230" stroke="black"/>
</svg>    
    <img src="/HTML/SimulationExeComponents.svg" alt="SVG mit img laden" width="1200" height="700" >

</div>    
  <div id="CDocuClangTools">
  <h2>Compiler tool documentation (CURRENT FOCUS)</h2>
  <p id="CDocuClangToolsParagraph">A chain of CLANG/LLVM compiler tools converts C code for embedded controls systems into simulation exectubles. 
  The calibration data structure, the size of n-dimensional variable or calibration arrays as well as any conversion from
  physical to embedded controls internal representation is given by XML models.  
  <button id="CDocuClangToolsButton" type="button" class="button" onclick="activate_C_to_Exe_Docu();">CLICK TO SEE THE DETAILED DOCUMENTATION</button>
  </div>
  <br/>
  <br/>
  <div id="CConvToolSurface">
  <h2>Conversion Interface (not yet connected to the tool)</h2>
  <p>This html framework will be connected to the CLANG/LLVM conversion tool. It will visualize child 
    parent relations such as : 
    <ul>
      <li><p align="left">the source code folder structure</p></li>  
      <li><p align="left">child parent relations between nested includes files</p></li>  
      <li><p align="left">call trees</p></li>  
      <li><p align="left">Nested statement nodes inside a function body of functions called in a call tree</p></li>        
    </ul>
  <button id="CConvToolSurfaceButton" type="button" class="button" onclick="activate_C_to_Exe_tool();">CLICK TO SEE CODE CONVERSION VIEW</button>
  </div>
  <br/>
  <br/>
  <div  id="CSimulToolSurface">
  <h2>Simulation of existing executables(not yet connected to the tool)</h2>
  <p id="CSimulToolSurfaceParagraph">This view offers a bundle of audio files which may be used to stimulate the simulation module inputs.
    The browser audio context offers oscilloscopes which are used to visualize both audio inputs and the simulation results.
  </p>     
  <button id="CSimulToolSurfaceButton" type="button" class="button" onclick="activate_C_module_simulation();">CLICK TO SEE SIMULATION ENVIRONMENT VIEW</button>
  </div>
  <br/>
  <br/>  
 
  <div id="JSDocuClientServer">
    <h2>Documentation of client server communication</h2>
    <p id="JSDocuCSParagraph">This link opens the code documentation for the client server communication, the client and 
    server sided javascript code which creates the visual information in the project views.  </p>    
    <button id="JSDocuCSButton" type="button" class="button" onclick="activate_UI_to_WebSocet_Docu();">CODE DOCU WEBSOCKET & CLIENT JAVASCRIPT</button>
  </div>
  
    
</body>
</html>